com.holonplatform.datastore.mongo.reactor.internal

## Class DefaultReactiveMongoDatastore.DefaultBuilder

- java.lang.Object
- - com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore.AbstractBuilder<com.mongodb.reactivestreams.client.MongoDatabase,AsyncMongoDatastoreCommodityContext,com.mongodb.reactivestreams.client.ClientSession,TX,I,D,B>
  - - com.holonplatform.datastore.mongo.core.async.internal.AbstractAsyncMongoDatastore.AsyncBuilder<ReactiveMongoTransaction,DefaultReactiveMongoDatastore,ReactiveMongoDatastore,ReactiveMongoDatastore.Builder>
    - - com.holonplatform.datastore.mongo.reactor.internal.DefaultReactiveMongoDatastore.DefaultBuilder

- All Implemented Interfaces:
    com.holonplatform.core.datastore.DatastoreOperations.Builder<ReactiveMongoDatastore,ReactiveMongoDatastore.Builder>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveMongoDatastore.Builder>, BaseAsyncMongoDatastore.Builder<ReactiveMongoDatastore,ReactiveMongoTransaction,ReactiveMongoDatastore.Builder>, MongoDatastoreBuilder<ReactiveMongoDatastore,com.mongodb.reactivestreams.client.ClientSession,ReactiveMongoTransaction,ReactiveMongoDatastore.Builder>, ReactiveMongoDatastore.Builder
  Enclosing class:
    DefaultReactiveMongoDatastore

      public static class DefaultReactiveMongoDatastore.DefaultBuilder
      extends AbstractAsyncMongoDatastore.AsyncBuilder<ReactiveMongoTransaction,DefaultReactiveMongoDatastore,ReactiveMongoDatastore,ReactiveMongoDatastore.Builder>
      implements ReactiveMongoDatastore.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveMongoDatastore` | `build()`

    - ### Methods inherited from class com.holonplatform.datastore.mongo.core.async.internal.AbstractAsyncMongoDatastore.AsyncBuilder

      `client, withCommodity`

    - ### Methods inherited from class com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore.AbstractBuilder

      `configuration, database, dataContextId, enumCodecStrategy, readConcern, readPreference, traceEnabled, transactionFactory, withCodec, withCodecProvider, withExpressionResolver, writeConcern`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.async.BaseAsyncMongoDatastore.Builder

      `client, withCommodity`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatastoreBuilder

      `database, enumCodecStrategy, readConcern, readPreference, transactionFactory, withCodec, withCodecProvider, writeConcern`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreOperations.Builder

      `configuration, dataContextId, traceEnabled`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

- - ### Constructor Detail

    - #### DefaultBuilder

          public DefaultBuilder()

  - ### Method Detail

    - #### build

          public ReactiveMongoDatastore build()

      Specified by:
        `build` in interface `com.holonplatform.core.datastore.DatastoreOperations.Builder<ReactiveMongoDatastore,ReactiveMongoDatastore.Builder>`

Copyright © 2019 The Holon Platform. All rights reserved.